# Interface DrawingInfoJson

The drawingInfo object contains drawing information for a feature collection or a single layer in a map service. This object is used in LayerDefinition.

See https://developers.arcgis.com/web-map-specification/objects/drawingInfo/ https://developers.arcgis.com/web-scene-specification/objects/drawingInfo/.

interface DrawingInfoJson {
filters?: PointCloudFilterJson[];
fixedSymbols?: boolean;
labelingInfo?: LabelingInfoJson[];
renderer?: RendererJson;
scaleSymbols?: boolean;
showLabels?: boolean;
transparency?: number;
}

#####
Index

### Properties

filters?
fixedSymbols?
labelingInfo?
renderer?
scaleSymbols?
showLabels?
transparency?

##
Properties

### `Optional` filters

filters?: PointCloudFilterJson[]

Filters for PointCloud layers.

### `Optional` fixedSymbols

fixedSymbols?: boolean

Only used for feature collections with a renderer. The feature's symbol is defined by the layer's renderer. Not implemented in JSAPI 4.x.

### `Optional` labelingInfo

labelingInfo?: LabelingInfoJson[]

An object defining the properties used for labeling the layer.

### `Optional` renderer

renderer?: RendererJson

A renderer object that provides the symbology for the layer.

### `Optional` scaleSymbols

scaleSymbols?: boolean

Boolean property indicating whether symbols should stay the same size in screen units as you zoom in. A value of false means the symbols stay the same size in screen units regardless of the map scale. Not implemented in JSAPI 4.x.

### `Optional` showLabels

showLabels?: boolean

Defines whether labels should be shown or not. This is only valid for sublayers.

### `Optional` transparency

transparency?: number

Number value ranging between 0 (no transparency) to 100 (completely transparent).